Bug 974689 - AttributeError: 'int' object has no attribute 'strip'
AttributeError: 'int' object has no attribute 'strip'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:d39784e3d36abf86b9650071044...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 16:00 EDT by Brian Lane
Modified: 2015-01-20 12:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-20 12:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (380.66 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: anaconda.log (6.49 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: backtrace (1.14 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: environ (485 bytes, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: ifcfg.log (359 bytes, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: ks.cfg (993 bytes, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: lsblk_output (1.48 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: nmcli_dev_list (3.37 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: packaging.log (22.65 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: program.log (31.09 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: storage.log (112.78 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details
File: syslog (58.05 KB, text/plain)
2013-06-14 16:01 EDT, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2013-06-14 16:00:57 EDT
Description of problem:
minimal raid install with a kickstart.
The following was filed automatically by anaconda:
anaconda 19.30.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1267, in safeDeviceName
    tmp = name.strip()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1036, in newMDArray
    safe_name = self.safeDeviceName(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1162, in execute
    request = storage.newMDArray(**kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1043, in execute
    r.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1646, in doKickstartStorage
    ksdata.raid.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 393, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'int' object has no attribute 'strip'

Version-Release number of selected component:
anaconda-19.30.6-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 ks=http://proxy.notae.us/ks/minimal-raid.ks BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 393, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1646, in doKickstartStorage
    ksdata.raid.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1043, in execute
    r.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1162, in execute
    request = storage.newMDArray(**kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1036, in newMDArray
    safe_name = self.safeDeviceName(name)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1267, in safeDeviceName
    tmp = name.strip()
AttributeError: 'int' object has no attribute 'strip'
Comment 1 Brian Lane 2013-06-14 16:01:02 EDT
Created attachment 761422 [details]
File: anaconda-tb
Comment 2 Brian Lane 2013-06-14 16:01:05 EDT
Created attachment 761423 [details]
File: anaconda.log
Comment 3 Brian Lane 2013-06-14 16:01:08 EDT
Created attachment 761424 [details]
File: backtrace
Comment 4 Brian Lane 2013-06-14 16:01:13 EDT
Created attachment 761425 [details]
File: environ
Comment 5 Brian Lane 2013-06-14 16:01:18 EDT
Created attachment 761426 [details]
File: ifcfg.log
Comment 6 Brian Lane 2013-06-14 16:01:22 EDT
Created attachment 761427 [details]
File: ks.cfg
Comment 7 Brian Lane 2013-06-14 16:01:26 EDT
Created attachment 761428 [details]
File: lsblk_output
Comment 8 Brian Lane 2013-06-14 16:01:30 EDT
Created attachment 761429 [details]
File: nmcli_dev_list
Comment 9 Brian Lane 2013-06-14 16:01:33 EDT
Created attachment 761430 [details]
File: packaging.log
Comment 10 Brian Lane 2013-06-14 16:01:37 EDT
Created attachment 761431 [details]
File: program.log
Comment 11 Brian Lane 2013-06-14 16:01:41 EDT
Created attachment 761432 [details]
File: storage.log
Comment 12 Brian Lane 2013-06-14 16:01:45 EDT
Created attachment 761433 [details]
File: syslog
Comment 13 Fedora End Of Life 2015-01-09 13:26:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 David Lehman 2015-01-20 12:49:51 EST
As of pykickstart-1.99.32-1 --device is for specifying a name, eg: "root". Names based on minors are not supported anymore. If you need to identify an existing v0.90 metadata array you can identify it by label or uuid instead of --device.

Note You need to log in before you can comment on or make changes to this bug.